Bug 285900 - Cannot copy from local collection to Sansa Fuze
Summary: Cannot copy from local collection to Sansa Fuze
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Media Devices (show other bugs)
Version: 2.4.90 (2.5 beta)
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-06 14:34 UTC by George Baltz
Modified: 2011-11-18 18:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
STDERR from amarok execution (208.87 KB, text/plain)
2011-11-06 14:34 UTC, George Baltz
Details
STDERR after applying patch (241.99 KB, text/plain)
2011-11-18 18:11 UTC, George Baltz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George Baltz 2011-11-06 14:34:47 UTC
Created attachment 65295 [details]
STDERR from amarok execution

Version:           2.4-GIT (using KDE 4.6.5) 
OS:                Linux

Attempting to copy artist/albums from local collection to Sansa Fuze.  Right click on artist name in left panel, select copy to device name, and nothing happens.  No confirmation window, no error message, no nothing.

STDERR shows no filename for target (see attached).

Reproducible: Always

Steps to Reproduce:
Started amarok, selected artist, tried to copy, nothing happens, exited amarok.


Actual Results:  
Nothing.

Expected Results:  
Should have asked to confirm destination location/names, then copied tracks.
Comment 1 George Baltz 2011-11-17 00:32:12 UTC
Copying to UMS devices is still very broken in 2.5 Beta (and current GIT)
Comment 2 Bart Cerneels 2011-11-17 07:13:14 UTC
Please explain further. I need to know what is wrong before I can fix it. Up to now I was assuming this bug was about MTP.
Comment 3 George Baltz 2011-11-17 14:58:16 UTC
Not MTP, I run in MSC mode as Sansa doesn't handle .ogg files well in MTP.

Anyway, if you look in the attachment (after "we were about to copy"), you see the format is 0, followed by destinations of "/.ogg".  There's also a signal name that's not even close to valid.

I ran a full scan of the local collection, no change.
Comment 4 Bart Cerneels 2011-11-18 08:57:49 UTC
I think I understand what is going on: your filename template must be invalid. Please attach the .is_audio_player file that should be on the root of your Sansa.

Meanwhile I'll try to reproduce the situation.
Comment 5 Bart Cerneels 2011-11-18 10:09:23 UTC
Git commit 0d8e7f4044b1eacc4b952058a1002f4e32e5c44f by Bart Cerneels.
Committed on 18/11/2011 at 11:03.
Pushed by shanachie into branch 'master'.

Fix filename scheme problems for UMS.

BUG:285900

M  +1    -0    ChangeLog
M  +9    -2    src/core-impl/collections/umscollection/UmsCollection.cpp

http://commits.kde.org/amarok/0d8e7f4044b1eacc4b952058a1002f4e32e5c44f
Comment 6 George Baltz 2011-11-18 16:40:48 UTC
On Friday, November 18, 2011 05:09:24 AM Bart Cerneels wrote:
> https://bugs.kde.org/show_bug.cgi?id=285900
> 
> 
> Bart Cerneels <bart.cerneels@kde.org> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - Status|UNCONFIRMED                 |RESOLVED
>          Resolution|                            |FIXED
> 
> 
> 
> 
> --- Comment #5 from Bart Cerneels <bart cerneels kde org>  2011-11-18
> 10:09:23 --- Git commit 0d8e7f4044b1eacc4b952058a1002f4e32e5c44f by Bart
> Cerneels. Committed on 18/11/2011 at 11:03.
> Pushed by shanachie into branch 'master'.
> 
> Fix filename scheme problems for UMS.
> 
> BUG:285900
> 
> M  +1    -0    ChangeLog
> M  +9    -2    src/core-impl/collections/umscollection/UmsCollection.cpp
> 
> http://commits.kde.org/amarok/0d8e7f4044b1eacc4b952058a1002f4e32e5c44f

Much better, but still a couple of problems:

1) I still don't get the dialog to change the naming scheme and confirm the 
destination (like I used to in 2.4.x)

2 ) There is still a "No such slot" message from copyUrlsToCollection (see 
attached STDERR output).

But at least I can copy again, as long as I can use the default scheme.
Comment 7 George Baltz 2011-11-18 16:41:52 UTC
On Friday, November 18, 2011 03:57:50 AM Bart Cerneels wrote:
> https://bugs.kde.org/show_bug.cgi?id=285900
> 
> 
> 
> 
> 
> --- Comment #4 from Bart Cerneels <bart cerneels kde org>  2011-11-18
> 08:57:49 --- I think I understand what is going on: your filename template
> must be invalid. Please attach the .is_audio_player file that should be on
> the root of your Sansa.
> 
> Meanwhile I'll try to reproduce the situation.

File .is_audio_player attached
Comment 8 Myriam Schweingruber 2011-11-18 18:02:25 UTC
I don't see the attachment
Comment 9 George Baltz 2011-11-18 18:11:02 UTC
Created attachment 65827 [details]
STDERR after applying patch

Hmmm, I guess bugzilla won't take attachments via email.

Attached via web.